io.etcd.jetcd.api.lock

## Class LockRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<LockRequest.Builder>
      - - io.etcd.jetcd.api.lock.LockRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, LockRequestOrBuilder, Cloneable

Enclosing class:
  LockRequest

    public static final class LockRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<LockRequest.Builder>
    implements LockRequestOrBuilder

Protobuf type `v3lockpb.LockRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`LockRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`LockRequest` `build()`
`LockRequest` `buildPartial()`
`LockRequest.Builder` `clear()`
`LockRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`LockRequest.Builder` `clearLease()` lease is the ID of the lease that will be attached to ownership of the lock.
`LockRequest.Builder` `clearName()` name is the identifier for the distributed shared lock to be acquired.
`LockRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`LockRequest.Builder` `clone()`
`LockRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`long` `getLease()` lease is the ID of the lease that will be attached to ownership of the lock.
`com.google.protobuf.ByteString` `getName()` name is the identifier for the distributed shared lock to be acquired.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`LockRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`LockRequest.Builder` `mergeFrom(LockRequest other)`
`LockRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`LockRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`LockRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`LockRequest.Builder` `setLease(long value)` lease is the ID of the lease that will be attached to ownership of the lock.
`LockRequest.Builder` `setName(com.google.protobuf.ByteString value)` name is the identifier for the distributed shared lock to be acquired.
`LockRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`LockRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<LockRequest.Builder>`

#### clear

    public LockRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<LockRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<LockRequest.Builder>`

#### getDefaultInstanceForType

    public LockRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public LockRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public LockRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public LockRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<LockRequest.Builder>`

#### setField

    public LockRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                        Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<LockRequest.Builder>`

#### clearField

    public LockRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<LockRequest.Builder>`

#### clearOneof

    public LockRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<LockRequest.Builder>`

#### setRepeatedField

    public LockRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                int index,
                                                Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<LockRequest.Builder>`

#### addRepeatedField

    public LockRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<LockRequest.Builder>`

#### mergeFrom

    public LockRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<LockRequest.Builder>`

#### mergeFrom

    public LockRequest.Builder mergeFrom(LockRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<LockRequest.Builder>`

#### mergeFrom

    public LockRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                  throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<LockRequest.Builder>`
Throws:
  `IOException`

#### getName

    public com.google.protobuf.ByteString getName()

     name is the identifier for the distributed shared lock to be acquired.

`bytes name = 1;`

Specified by:
  `getName` in interface `LockRequestOrBuilder`
Returns:
  The name.

#### setName

    public LockRequest.Builder setName(com.google.protobuf.ByteString value)

     name is the identifier for the distributed shared lock to be acquired.

`bytes name = 1;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

#### clearName

    public LockRequest.Builder clearName()

     name is the identifier for the distributed shared lock to be acquired.

`bytes name = 1;`

Returns:
  This builder for chaining.

#### getLease

    public long getLease()

     lease is the ID of the lease that will be attached to ownership of the
     lock. If the lease expires or is revoked and currently holds the lock,
     the lock is automatically released. Calls to Lock with the same lease will
     be treated as a single acquistion; locking twice with the same lease is a
     no-op.

`int64 lease = 2;`

Specified by:
  `getLease` in interface `LockRequestOrBuilder`
Returns:
  The lease.

#### setLease

    public LockRequest.Builder setLease(long value)

     lease is the ID of the lease that will be attached to ownership of the
     lock. If the lease expires or is revoked and currently holds the lock,
     the lock is automatically released. Calls to Lock with the same lease will
     be treated as a single acquistion; locking twice with the same lease is a
     no-op.

`int64 lease = 2;`

Parameters:
  `value` - The lease to set.
Returns:
  This builder for chaining.

#### clearLease

    public LockRequest.Builder clearLease()

     lease is the ID of the lease that will be attached to ownership of the
     lock. If the lease expires or is revoked and currently holds the lock,
     the lock is automatically released. Calls to Lock with the same lease will
     be treated as a single acquistion; locking twice with the same lease is a
     no-op.

`int64 lease = 2;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final LockRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<LockRequest.Builder>`

#### mergeUnknownFields

    public final LockRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<LockRequest.Builder>`